Bug 176387 - Add perl-IO-Socket-SSL, perl-Net-SSLeay, perl-Authen-SASL to allow using Perl module Net::LDAPS (LDAP over TLS)
Add perl-IO-Socket-SSL, perl-Net-SSLeay, perl-Authen-SASL to allow using Per...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: distribution (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: RHEL Product and Program Management
Radek Bíba
: FutureFeature
: 177569 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-21 20:01 EST by redhat.admin
Modified: 2012-06-20 11:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:52:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description redhat.admin 2005-12-21 20:01:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
perl module IO::Socket::SSL dependency for Net::LDAPS (LDAP over SSL) is missing. Need to include in perl-LDAP RPM or create additional RPM and dependency.

Version-Release number of selected component (if applicable):
perl-LDAP-0.31-5.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
perl code:

perl -e "use Net::LDAPS; $ldap = Net::LDAPS->new("ldap",version => 3);"

Actual Results:  Can't locate IO/Socket/SSL.pm in @INC (@INC contains: /usr/lib/perl5/5.8.5/i386-linux-thread-multi /usr/lib/perl5/5.8.5 /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.2/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl/5.8.2 /usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.2/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl .) at /usr/lib/perl5/vendor_perl/5.8.5/Net/LDAP.pm line 154.


Additional info:
Comment 1 Jason Vas Dias 2006-01-10 13:09:26 EST
Yes, you'll need to install IO::Socket::SSL and Authen::SASL from CPAN to 
use Net::LDAPS . 

IO::Socket::SSL and Authen::SASL are noted as 'Optional' packages during 
the Net::LDAP build and their absence is tolerated. 

These packages are also missing from all Fedora Core releases, but they are
shipped as RPMs in Fedora Extras. 

We try to keep the number of perl modules we ship and maintain to an absolute
minimum, and the above two packages are not required for the core Net::LDAP 
functionality.

The upstream package should perhaps not be shipping Net::LDAPS at all if 
the optional IO::Socket::SSL and Authen::SASL are not installed .

I'll move this to an enhancement request to ship new perl-IO-Socket-SSL and
perl-Authen-SASL packages in RHEL-4, for the consideration of Product 
Management.
 
Comment 2 Jason Vas Dias 2006-01-12 16:41:56 EST
*** Bug 177569 has been marked as a duplicate of this bug. ***
Comment 3 David Lawrence 2006-03-03 13:32:33 EST
The bug status ASSIGN_TO_PM has been deprecated. In the future please use
ASSIGNED and either add the PM to the Cc list or re-assign report to them.
Comment 4 Jason Vas Dias 2006-03-03 13:48:14 EST
Thanks Dave - sorry about that. 
This bug is really a request to add these packages, currently only in Fedora
Extras, to RHEL :
  perl-IO-Socket-SSL
  perl-Net-SSLeay
  perl-Authen-SASL
(The packages missing for Net::LDAPS support and their dependencies).
I'm also making a request to get these packages into post-FC-5 rawhide (FC-6).
Comment 5 nathan r. hruby 2007-01-08 18:49:54 EST
So, it's been a year.  Can we either get some form of traction or just close
this with a "no"?
Comment 6 Jiri Pallich 2012-06-20 11:52:52 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.